Skip to main content

Post Message

Inserts a message to a specific room and sends the corresponding push notifications to the other members.

Request

POST https://api.meetinglawyers.com/chat/message

Headers

NameValue
Api-KeyIntegration identifier provided by MeetingLawyers
AuthorizationBearer token in JWT format retrieved from User Authenticate
Content-Typeapplication/json
Acceptapplication/json

Request body

Parameters

NameTypeValue
room_idIntegerRoom id
message_idStringMessage standard universal unique identifier (UUID)
typeStringCurrent types supported: text, image, file
contentStringDepending on type:
text A string
image An image file encoded in base64
file A file encoded in base64
file_nameStringOriginal file name without the path
Required for image and file types

Examples

{
"room_id": 2322,
"message_id": "285c3d07-9b63-41e0-829f-5d51b31ffd29",
"type": "text",
"content": "Te paso la foto"
}
{
"room_id": 2323,
"message_id": "6c84da83-9b1b-44f3-a241-ae44647bfdd7",
"type": "image",
"content": "NHZ1NDU2dXY0NWM2YDMwMjQ5dDJicGk5N3R5cDk4eTdidGBwMDg...",
"file_name": "foto.jpg"
}